Chapter 23. Razne teme
Prev |  | Next

# Chapter 23. Razne teme

## 1. OmegaT Konzolni način rada

### Note

Samo za napredne korisnike!

Konzolni način rada (tj. naredbenim retkom) omogućava korištenje programa OmegaT kao prevoditeljskoga alata u okruženju skriptiranja. Pokretanjem u konzolnome načinu rada ne učitava se grafičko korisničko sučelje (što omogućava rad na bilo kojoj konzoli), a projekti se automatski prevode. Primjer za to bio bi neki softverski projekt s grafičkim korisničkim sučeljem lokaliziranim na više jezika. U konzolnome načinu rada moguće je izradu lokaliziranoga sučelja uvrstiti u radni proces.

### 1.1. Preduvjeti

Za pokretanje programa OmegaT potreban je odgovarajući projekt. Lokacija nije bitna, budući da je morate unijeti u naredbeni redak prilikom pokretanja.

Ako trebate nestandardne postavke, morate imati odgovarajuće konfiguracijske datoteke (`filters.conf` i `segmentation.conf`). To možete ostvariti na dva načina:

- Pokrenite program OmegaT na uobičajeni način (s grafičkim korisničkim sučeljem) pa namjestite postavke. Pokrenete li zatim program OmegaT u konzolnome načinu rada, koristit će iste postavke.

- Ako nije moguće pokretanje programa OmegaT na uobičajeni način (jer nema raspoloživoga grafičkog okruženja), u odgovarajuću mapu kopirajte postavke iz neke druge instalacije programa OmegaT s drugoga računala. Lokacija nije bitna, budući da je možete upisati u naredbeni redak prilikom pokretanja (pogledajte u nastavku teksta). Potrebne datoteke `filters.conf` i `segmentation.conf` možete pronaći u korisničkoj početnoj mapi (npr. `C:\Documents and Settings\%Korisnik%\OmegaT` u sustavu Windows, ili `%korisnik%/.omegat/` u sustavu Linux).

### 1.2. Pokretanje programa OmegaT u konzolnome načinu rada

Za pokretanje programa OmegaT u konzolnome načinu rada potrebni su još neki dodatni parametri. Najznačajniji je `<mapa-projekta>`, a po izboru i `--config-dir=<mapa-konfiguracijskih-datoteka>`. Primjer:

`$> java -jar OmegaT.jar /putanja/do/projekta \`

`--config-dir=/putanja/do/konfiguracijskih datoteka/ \`

`--mode=console-translate \`

`--source-pattern={regexp} \`

`--tag-validation=[block|warn]`

Objašnjenje:

- `<mapa-projekta>` kazuje programu OmegaT gdje se nalazi prijevodni projekt. Upisivanjem ovoga parametra pokrećemo program OmegaT u konzolnome načinu rada, koji potom prevodi odabrani projekt.

- `--config-dir=<mapa-konfiguracijskih-datoteka>` kazuje programu OmegaT gdje je mapa u kojoj se nalaze konfiguracijske datoteke. Kada ovaj parametar nije naveden, OmegaT koristi zadane vrijednosti (mapa OmegaT u korisničkoj početnoj mapi ili, ako ona nije raspoloživa, u tekućoj radnoj mapi).

- `--mode=console-translate` : program OmegaT se pokreće u konzolnome načinu rada i prevodi odabrani projekt.

- `--source-pattern={regexp}` služi za određivanje datoteka za prijevod. Primjer regularnoga izraza: `test\.html`

- `--tag-validation=[abort|warn]`: odaberete li abort, program se zaustavlja kada se provjerom valjanosti oznaka teksta pronađu pogreške. Odaberete li warn, program se ne zaustavlja, a prikazuju se poruke o pogreškama. U svim ostalim slučajevima se ne obavlja provjera valjanosti oznaka teksta.

### 1.3. Tihi način rada

Za „tihi” rad imamo dodatni parametar naredbenoga retka koji vrijedi isključivo za konzolni način rada: `--quiet`. U tihome načinu rada na zaslonu se prikazuje manje informacija o događajima. Ne prikazuju se ni poruke koje se obično nalaze na traci stanja.

Korištenje: `java -jar OmegaT.jar /putanja/do/projekta --mode=console-translate --quiet`

### 1.4. Provjera valjanosti oznaka teksta

Za provjeru valjanosti oznaka teksta imamo dodatni parametar naredbenoga retka koji vrijedi isključivo za konzolni način rada: `--tag-validation=[abort|warn]`. Dodamo li ovaj parametar, provjera valjanosti oznaka teksta obavlja se prije prevođenja/sravnjivanja. Odaberemo li vrijednost `abort`, prilikom pronalaska pogrešaka u vezi s oznakama teksta prikazuju se poruke, a program se zaustavlja. Odaberemo li pak vrijednost `warn`, poruke o pogreškama se prikazuju, ali program OmegaT nastavlja s radom.

Korištenje: `java -jar OmegaT.jar /putanja/do/projekta --mode=console-translate --tag-validation=abort`

## 2. Alat za automatsko sravnjivanje za svojstva jezika Java

Programom OmegaT možete sravnjivati svojstva jezika Java u konzolnome načinu rada. Ako imate izvorišnu i odredišnu datoteku svojstava s jednakim sadržajem na odabranome jezičnom paru, ovim postupkom možete izraditi odgovarajuću datoteku tmx za taj sadržaj. Korištenje:

`java -jar OmegaT.jar --mode=console-align /mapa-moj-projekt --alignDir=/prevedeneDatoteke/`

`alignDir` mora sadržavati prijevod na odredišnome jeziku projekta. Primjera radi, ako je projekt postavljen za jezični smjer EN->FR, alignDir mora sadržavati paket čiji naziv završava nastavkom _fr. Izrađena datoteka tmx sprema se u mapu `omegat` pod nazivom `align.tmx`.

## 3. Postavke fonta

U ovome dijaloškom okviru možete odrediti font za korištenje u sljedećim prozorima programa OmegaT:

- glavni prozor programa OmegaT (okna za obradu, podudaranja i glosare)

- Prozor za pretraživanje

- Prozor za provjeru valjanosti oznaka teksta

Dijaloški okvir možete otvoriti putem izbornika Mogućnosti → Font.... Dialoški okvir sadržava sljedeće elemente:

- Font: padajući izbornik za odabir jednoga od raspoloživih fontova računala.

- Veličina: izbornik veličine fonta.

- Ogledni tekst: polje izravnoga prikaza odabranoga fonta.

Napomena: ponekad je potrebno dulje vrijeme da OmegaT ažurira prikaz nakon promjene postavki fonta. To poglavito vrijedi kada je u oknu za obradu otvorena veća datoteka s puno segmenata i/ili zbog sporijega računala. Također uzmite u obzir da nekim jezičnim parovima bolje odgovaraju određeni fontovi. Konkretno, za jezike različitih pisama/načina pisanja (npr. ruski i japanski) prilikom prevođenja valja koristiti font koji se može upotrebljavati za oba jezika.

## 4. Sprječavanje gubitka podataka

OmegaT je robustan program. Međutim, morate poduzimati mjere sprječavanja gubitka podatka prilikom korištenja programa OmegaT, baš kao i sa svim drugim programima. OmegaT tijekom prevođenja sprema sve zgotovljene segmente u prijevodnu memoriju `project_save.tmx`, koja se nalazi u podmapi projekta `/omegat` subfolder.

OmegaT također izrađuje sigurnosne kopije prijevodne memorije, tj. datoteke project_save.tmx.GODNMMDDHHNN.bak, i sprema ih u istu podmapu pri svakom otvaranju ili ponovnom učitavanju projekta. GODN je četveroznamenkasta godina, MM je mjesec, DD dan u mjesecu, dok HH i NN označavaju sat i minutu spremanja prethodne prijevodne memorije.

Kad posumnjate da ste izgubili podatke prijevoda, možete vratiti projekt u stanje u kojemu je bio pri zadnjemu spremanju (obično prije 10-ak minuta), i to prema sljedećemu postupku:

1. Zatvorite projekt.

2. Preimenujte tekuću datoteku `project_save.tmx` (npr. u `project_save.tmx.privremeno`).

3. Odaberite sigurnosnu kopiju prijevodne memorije koja najvjerojatnije sadržava potrebne podatke.

4. Preimenujte je u `project_save.tmx`.

5. Otvorite projekt.

Da biste izbjegli gubitak značajnih podataka:

- Redovito kopirajte datoteku /omegat/project_save.tmx na medije za sigurnosno kopiranje, kao što su CD ili DVD.

- Redovito izrađujte datoteke prijevoda i provjeravajte sadržavaju li sav prevedeni sadržaj sve dok se ne izvještite s programom OmegaT.

- Posebnu pozornost obratite pri bilo kakvome mijenjanju sadržaja u mapi `/source` usred rada na projektu. Svaka promjena izvorišnih datoteka nakon početka prevođenja može dovesti do toga da OmegaT neće biti u stanju pronaći segmente koji su zapravo već prevedeni.

- Na početku korištenja programa koristite ove tekstove pomoći. Ako naletite na probleme, objavite poruku na stranicama korisničke skupine programa OmegaT. Poruke možete slobodno objavljivati na jeziku po svojoj volji.

Prev |  | Next
Chapter 22. Alat za provjeru pravopisa | Home | Appendix A. Jezici – popis oznaka ISO 639